LotusStyleManagerInternal::FontStyle Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
LotusStyleManagerInternal::FontStyle Struct Reference

small struct used to defined font style More...

## Public Member Functions
| FontStyle (libwps_tools_win::Font::Type fontType)
| constructor More...

## Public Attributes
WPSFont | m_font
| the font More...
libwps_tools_win::Font::Type | m_fontType
| the font type More...
int | m_fontId
| the font id More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, FontStyle const &font)
| operator<< More...

## Detailed Description

small struct used to defined font style

## Constructor & Destructor Documentation

## § FontStyle()

LotusStyleManagerInternal::FontStyle::FontStyle | ( | libwps_tools_win::Font::Type | fontType | ) |
| inlineexplicit

constructor

## Friends And Related Function Documentation

## § operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | FontStyle const & | font
| ) |  |
| friend

operator<<

## Member Data Documentation

## § m_extra

std::string LotusStyleManagerInternal::FontStyle::m_extra

extra data

## § m_font

WPSFont LotusStyleManagerInternal::FontStyle::m_font

the font

Referenced by LotusStyleManager::readCellStyleD2Data(), LotusStyleManager::readCellStyleE6(), LotusStyleManager::readFontStyleF0(), LotusStyleManager::updateCellStyle(), LotusStyleManager::updateFontStyle(), and LotusStyleManager::updateState().

## § m_fontId

int LotusStyleManagerInternal::FontStyle::m_fontId

the font id

Referenced by LotusStyleManager::readCellStyleD2Data(), and LotusStyleManager::updateState().

## § m_fontType

libwps_tools_win::Font::Type LotusStyleManagerInternal::FontStyle::m_fontType

the font type

Referenced by LotusStyleManager::readCellStyleE6(), LotusStyleManager::updateCellStyle(), LotusStyleManager::updateFontStyle(), and LotusStyleManager::updateState().

The documentation for this struct was generated from the following file:

- LotusStyleManager.cpp